Rygel.Playbin.Player Reference Manual

# Player

## Object Hierarchy:

## Description:

public class Player : `Object`, MediaPlayer
Namespace: Rygel.Playbin
Package: librygel-renderer

## Content:

### Properties:

- public dynamic `Element` playbin { set; get; }
- public `string` playback_state { set; owned get; }
- public `string`? uri { set; owned get; }
- public `string`? mime_type { set; owned get; }
- public `string`? metadata { set; owned get; }
- public `string`? content_features { set; owned get; }
- public `double` volume { set; get; }
- public `int64` duration { get; }
- public `int64` position { get; }

### Static methods:

- public static Player get_default ()

### Creation methods:

- public Player.wrap (`Element` playbin)

### Methods:

- public `bool` seek (`ClockTime` time)
- public `string`[] get_protocols ()
- public `string`[] get_mime_types ()